package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.annotation.ExcelNotExport;
import com.qmth.themis.business.annotation.ExcelNote;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考生dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEExamStudentDto implements Serializable {

    @ExcelNote(value = "场次代码")
    @ApiModelProperty(name = "场次代码")
    private String activityCode;//场次代码

    @ExcelNote(value = "姓名")
    @ApiModelProperty(name = "考生姓名")
    private String name;//考生姓名

    @ExcelNote(value = "证件号")
    @ApiModelProperty(name = "证件号")
    private String identity;//证件号

    @ExcelNote(value = "联系电话")
    @ApiModelProperty(name = "联系电话")
    private String mobileNumber;

    @ExcelNote(value = "科目名称")
    @ApiModelProperty(name = "科目名称")
    private String courseName;//科目名称

    @ExcelNote(value = "科目代码")
    @ApiModelProperty(name = "科目代码")
    private String courseCode;//科目代码

    @ExcelNote(value = "状态")
    private String enableText;

    @ExcelNote(value = "考场代码")
    @ApiModelProperty(name = "考场代码")
    private String roomCode;//考场代码

    @ExcelNote(value = "考场名称")
    @ApiModelProperty(name = "考场名称")
    private String roomName;//考场名称

    @ExcelNote(value = "年级")
    @ApiModelProperty(name = "年级")
    private String grade;//年级

    @ExcelNote(value = "班级")
    @ApiModelProperty(name = "班级")
    private String classNo;//班级

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考生id")
    @ExcelNotExport
    private Long id;//考生id

    @ApiModelProperty(name = "考试批次名称")
    @ExcelNotExport
    private String examName;//考试批次名称

    @ApiModelProperty(name = "考试场次代码")
    @ExcelNotExport
    private String code;//考试场次代码

    @ApiModelProperty(name = "考生是否启用，0：停用，1：启用")
    @ExcelNotExport
    private Integer enable;//考生是否启用

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "场次id")
    @ExcelNotExport
    private Long examActivityId;//场次id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    @ExcelNotExport
    private Long examId;//考试批次id

    @ApiModelProperty(name = "底照url")
    @ExcelNotExport
    private String basePhotoUrl;

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public void setEnableText(String enableText) {
        this.enableText = enableText;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getActivityCode() {
        return activityCode;
    }

    public void setActivityCode(String activityCode) {
        this.activityCode = activityCode;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getBasePhotoUrl() {
        return basePhotoUrl;
    }

    public void setBasePhotoUrl(String basePhotoUrl) {
        this.basePhotoUrl = basePhotoUrl;
    }

    public String getEnableText() {
        return enableText;
    }
}
